<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__ota__http__params__t" kind="struct" prot="public">
    <compoundname>cy_ota_http_params_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__ota__http__params__t_1a3a79b569c3b33a9237421e74bf0b36a2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ota__typedefs_1gabc03646427dec963bef37cb5dbb550fa">cy_ota_connection_t</ref></type>
        <definition>cy_ota_connection_t cy_ota_http_params_t::connection</definition>
        <argsstring />
        <name>connection</name>
        <briefdescription>
<para>Will always be CY_OTA_CONNECTION_HTTP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="628" column="1" file="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" line="628" />
      </memberdef>
      <memberdef id="structcy__ota__http__params__t_1a7ebf7f42bb7e54aaf2014403752cccbc" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__ota__server__info__t">cy_ota_server_info_t</ref></type>
        <definition>cy_ota_server_info_t cy_ota_http_params_t::server</definition>
        <argsstring />
        <name>server</name>
        <briefdescription>
<para>HTTP Server to get Job or OTA Image set use_get_job_flow in <ref kindref="compound" refid="structcy__ota__network__params__t">cy_ota_network_params_t</ref> to determine use of job document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="630" column="1" file="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" line="630" />
      </memberdef>
      <memberdef id="structcy__ota__http__params__t_1a1e685fc8622e19d7a9cd87dc4b159656" kind="variable" mutable="no" prot="public" static="no">
        <type>const char *</type>
        <definition>const char* cy_ota_http_params_t::file</definition>
        <argsstring />
        <name>file</name>
        <briefdescription>
<para>filename for Job or OTA Image set use_get_job_flow in <ref kindref="compound" refid="structcy__ota__network__params__t">cy_ota_network_params_t</ref> to determine use of job document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="635" column="1" file="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" line="635" />
      </memberdef>
      <memberdef id="structcy__ota__http__params__t_1a28c66a28e7ee156a5d21882ce13e6080" kind="variable" mutable="no" prot="public" static="no">
        <type>IotNetworkCredentials_t</type>
        <definition>IotNetworkCredentials_t cy_ota_http_params_t::credentials</definition>
        <argsstring />
        <name>credentials</name>
        <briefdescription>
<para>Setting credentials uses TLS (NULL == non-TLS) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="639" column="1" file="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" line="639" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="7">
        <label>cy_ota_http_params_t</label>
        <link refid="structcy__ota__http__params__t" />
        <childnode refid="8" relation="usage">
          <edgelabel>server</edgelabel>
        </childnode>
      </node>
      <node id="8">
        <label>cy_ota_server_info_t</label>
        <link refid="structcy__ota__server__info__t" />
      </node>
    </collaborationgraph>
    <location bodyend="641" bodyfile="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="627" column="1" file="/var/tmp/gitlab-runner1/builds/4995f45a/0/repo/anycloud-ota/include/cy_ota_api.h" line="627" />
    <listofallmembers>
      <member prot="public" refid="structcy__ota__http__params__t_1a3a79b569c3b33a9237421e74bf0b36a2" virt="non-virtual"><scope>cy_ota_http_params_t</scope><name>connection</name></member>
      <member prot="public" refid="structcy__ota__http__params__t_1a28c66a28e7ee156a5d21882ce13e6080" virt="non-virtual"><scope>cy_ota_http_params_t</scope><name>credentials</name></member>
      <member prot="public" refid="structcy__ota__http__params__t_1a1e685fc8622e19d7a9cd87dc4b159656" virt="non-virtual"><scope>cy_ota_http_params_t</scope><name>file</name></member>
      <member prot="public" refid="structcy__ota__http__params__t_1a7ebf7f42bb7e54aaf2014403752cccbc" virt="non-virtual"><scope>cy_ota_http_params_t</scope><name>server</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>